globals.setSlotImages = function() {
    variables.SLOT_IMAGES = new Array();
    variables.loadedImages = 0;
    for(var i = 0; i < settings.icons.length; i++) {
        var img = new Image();
        globals.setImageLoadListener(img);
        img.src = settings.icons[i][settings.imageParameter];
        variables.SLOT_IMAGES.push(img);
    }
}

globals.setImageLoadListener = function(image) {
    image.onload = function() {
        variables.loadedImages++;
        if(variables.loadedImages == settings.icons.length) {
            variables.$preloader.addClass(domElements.invisibleClassName);
            utils.resizeSlots();
        }
    }
}

globals.setSettingsVariables = function() {
    domElements.$gameNameH1.text(settings.GAME_NAME);
}

globals.init = function() {
    globals.setSlotImages();
    globals.setSettingsVariables();
    objects.intro = new Intro();
    objects.records = new Records();
    objects.game = new Game();
    objects.server = new Server();
    utils.resizeSlots();
    utils.setResizeListener();
    utils.turnOnScreen(domElements.$introScreen);
};

globals.init();