function Records() {
    this.$okBtn = $("#ok_btn");
    this.$recordText = $("#record_text");
    this.$allRecordsBlock = $("#all_records_block");
    this.$nameBlock = $("#name_block");
    this.$okNameBtn = $("#ok_name_btn");
    this.$nameInput = $("#name_input");

    this.table = this.result = this.records = undefined;

    this.setListeners();
}

Records.prototype.setNewRecords = function() {
    this.records = JSON.parse(objects.server.getRecords());
    this.result = variables.currentMoney;
    variables.currentMoney = undefined;
    this.$recordText.text("");
    this.$allRecordsBlock.empty();
    if(typeof(this.result) == "undefined") {
        this.buildRecordTable();
    }else {
        this.setCurrentRecord();
    }
}

Records.prototype.setListeners = function() {
    this.$okBtn.click(function(e) {
        utils.turnOnScreen(domElements.$introScreen);
    });
    var records = this;
    this.$okNameBtn.click(function(e) {
        if(records.$nameInput.val() == "") {
            alert("Enter your name please");
            return;
        }
        variables.playerName = records.$nameInput.val();
        records.$nameBlock.addClass(variables.invisibleClassName);
        records.checkResultAndBuildTable();
    });
}

Records.prototype.buildRecordTable = function() {
    this.table = $("<table>", {
        "border": 1,
        "style": "width: 100%"
    });
    this.table.append("<tr><th width='40'>Place</th><th>Name</th><th width='40'>Money</th></tr>");
    for (var i = 0; i < this.records.length; i++) {
        str = "<tr>";
        str += "<td>" + (i + 1) + "</td>";
        str += "<td>" + this.records[i][objects.server.nameParameter] + "</td>";
        str += "<td>" + this.records[i][objects.server.moneyParameter] + "</td>";
        str += "</tr>";
        this.table.append(str);
    }
    this.$allRecordsBlock.append(this.table);
}

Records.prototype.setCurrentRecord = function() {
	this.checkResultAndBuildTable();
}

Records.prototype.checkResultAndBuildTable = function() {
    this.$recordText.text("Your result is " + this.result);
    this.updateRecordsIfNeeded();
    this.buildRecordTable();
}

Records.prototype.updateRecordsIfNeeded = function() {
 /*   if(this.result <= this.records[this.records.length - 1][objects.server.moneyParameter]) return;
    var i = 0;
    while (i < this.records.length) {
        if (this.result > this.records[i][objects.server.moneyParameter] && this.result <= this.records[i - 1][objects.server.moneyParameter]) {
            this.records.splice(i, 0, objects.server.getRecordObject(variables.playerName, this.result));
            this.records.pop();
            objects.server.saveRecords(JSON.stringify(this.records));
            break;
        }
        i++;
    }*/
}